Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Interface XPathProcessor

All Known Implementing Classes:
  XPathProcessorImpl

public interface XPathProcessor

An object that implements the XPathProcessor interface responsibilities include initializing the XPath expression from an XPath string. This should really be named XPathParser, and may be renamed in the future.

Method Summary
`void` | `initMatchPattern(XPath pathObj, java.lang.String expression, PrefixResolver namespaceContext)` Given an string, init an XPath object for pattern matches, in order that a parse doesn't have to be done each time the expression is evaluated.
`void` | `initXPath(XPath pathObj, java.lang.String expression, PrefixResolver namespaceContext)` Given an string, init an XPath object for selections, in order that a parse doesn't have to be done each time the expression is evaluated.

Method Detail

### initXPath

    public void initXPath(XPath pathObj,
                          java.lang.String expression,
                          PrefixResolver namespaceContext)
                   throws org.xml.sax.SAXException

  Given an string, init an XPath object for selections, in order that a parse doesn't have to be done each time the expression is evaluated.
  Parameters:
    `pathObj` - The XPath object to be initialized.
    `expresson` - A String representing the XPath.
    `namespaceContext` - An object that is able to resolve prefixes in the XPath to namespaces.

### initMatchPattern

    public void initMatchPattern(XPath pathObj,
                                 java.lang.String expression,
                                 PrefixResolver namespaceContext)
                          throws org.xml.sax.SAXException

  Given an string, init an XPath object for pattern matches, in order that a parse doesn't have to be done each time the expression is evaluated.
  Parameters:
    `pathObj` - The XPath object to be initialized.
    `expresson` - A String representing the XPath.
    `namespaceContext` - An object that is able to resolve prefixes in the XPath to namespaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.